package edu.gwu.jworddrivers;



/** Displays the information from the RogetDriver into the JWord console
 */
public class RogetNode extends JWordNode
{

    private String curWord;
    private String curString;

    /** Builds a node based on the returned search results (curString) and
     * the word searched for (curWord)
     */
    public RogetNode(String curString, String curWord)
    {
        //base(curWord, curString);
        this.curWord = curWord;
        this.curString = curString;

        if (this.curString != null)
        {
          int loc = this.curString.indexOf(".");
          if (loc > 1)

            this.curString = this.curString.substring(loc + 2);
        }
    }

    /** Returns curString with curWord bolded and italicized
     */
    public String toString()
    {

       String retStr = curString;
       retStr = retStr.substring(0, 1).toUpperCase() + retStr.substring(1);
       return ("<html>" + retStr.replaceAll(curWord, "<b><i>" + curWord + "</b></i>") + "</html>");
      // return retStrs[0] + " (" + sense.getWords().length + ")";
       //return sense.getDescription() + "- - -" + sense.getGloss();
       //return sense.getDescription();
    }

    /** Returns example sentences found in the RogetLibrary (none)
     */
    public String getDescription()
    {
        /*String retStrs[] = sense.getGloss().split(";");
        retStrs[0] = retStrs[0].substring(0, 1).toUpperCase() + retStrs[0].substring(1);
        String retStr = retStrs[0].replaceAll(curWord, "<b><i>" + curWord + "</b></i>");
        retStr = "<html>" + retStr + "<UL>";

        for (int i = 1; i < retStrs.length; i++)
        {
            retStrs[i] = retStrs[i].substring(0, 1).toUpperCase() + retStrs[i].substring(1);
            retStr = retStr + "<LI>" + retStrs[i].replaceAll(curWord, "<b><i>" + curWord + "</b></i>") + "</LI>";
        }



        return retStr + "</UL></html>";*/
        return " ";
    }

    /** Returns example sentences found in the RogetLibrary (none)
     */
    public String getCurrentDescription()
    {
        /*String retStrs[] = sense.getGloss().split(";");
        retStrs[0] = retStrs[0].substring(0, 1).toUpperCase() + retStrs[0].substring(1);
        String retStr = retStrs[0].replaceAll(curWord, "<b><i>" + curWord + "</b></i>");
        retStr = "<html>" + retStr + "<UL>";

        for (int i = 1; i < retStrs.length; i++)
        {
            if (retStrs[i].indexOf(curWord) > -1)
            {
                retStrs[i] = retStrs[i].substring(0, 1).toUpperCase() + retStrs[i].substring(1);
                retStr = retStr + "<LI>" + retStrs[i].replaceAll(curWord, "<b><i>" + curWord + "</b></i>") + "</LI>";
            }
        }



        return retStr + "</UL></html>";*/
        return " ";
    }


}


