package edu.gwu.jword;
//event for our viewToModel text box
//shows the word and some other mouse information
public class ModelEvent extends java.awt.AWTEvent
{
    private int x, y;
    private int numClicks;
    private String curWord;
    
    
    public ModelEvent(Object source, int x, int y, int numClicks, String curWord)
    {
        super(source, 0);
        this.x = x;
        this.y = y;
        this.numClicks = numClicks;
        this.curWord = curWord;
    }
    
    public String getWord()
    {
        return curWord;
    }
    public int getX()
    {
        return x;
    }
    
    public int getY()
    {
        return y;
    }
    
    public int getNumClicks()
    {
        return numClicks;
    }
    
}
