package edu.gwu.jword;

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import java.util.Properties;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class dlgSelectDictionaries extends JDialog {
  BorderLayout borderLayout1 = new BorderLayout();
  JLabel lblTop = new JLabel();
  JList lstDictionaries = new JList();
  JButton btnDone = new JButton();


  public dlgSelectDictionaries(Frame frame, String title, boolean modal) {
    super(frame, title, modal);
    try {
      jbInit();
      pack();
    }
    catch(Exception ex) {
      ex.printStackTrace();
    }

    java.util.Properties p = new Properties();
    try
    {

       java.io.FileInputStream f = new java.io.FileInputStream("drivers.props");
       p.load(f);
    }
    catch (Exception e)
    {
            System.out.println("Driver List could not be found");
            System.exit(0);
    }
    int numDrivers = Integer.parseInt(p.getProperty("numDrivers"));
    String drivers[] = new String[numDrivers];
    for (int i = 0; i < numDrivers; i++)
      drivers[i] = p.getProperty("driver." + i);

    lstDictionaries.setListData(drivers);
  }

  public dlgSelectDictionaries() {
    this(null, "", false);
  }
  public String[] getDictionaryClassStrings()
  {
      Object[] obj = lstDictionaries.getSelectedValues();
      String[] ret = new String[obj.length];
      for (int i = 0; i < ret.length; i++)
        ret[i] = obj[i].toString();

      return ret;
  }



  private void jbInit() throws Exception {
    lblTop.setEnabled(true);
    lblTop.setFont(new java.awt.Font("Tahoma", 0, 16));
    lblTop.setForeground(Color.blue);
    lblTop.setText("Please Select the Dictionaries to Use from the List Below");

    this.setDefaultCloseOperation(3);
    this.setModal(true);
    this.setResizable(true);
    this.setTitle("Select which Dictionary Files to Load");
    this.getContentPane().setLayout(borderLayout1);
    btnDone.setText("Done");
    btnDone.addActionListener(new dlgSelectDictionaries_btnDone_actionAdapter(this));
    this.getContentPane().add(lblTop, BorderLayout.NORTH);
    this.getContentPane().add(lstDictionaries, BorderLayout.CENTER);
    this.getContentPane().add(btnDone, BorderLayout.SOUTH);

  }

  void btnDone_actionPerformed(ActionEvent e)
  {
    //return values
    if (lstDictionaries.getSelectedIndex() == -1)
    {

      return;
    }
    this.setVisible(false);
  }
}

class dlgSelectDictionaries_btnDone_actionAdapter implements java.awt.event.ActionListener {
  dlgSelectDictionaries adaptee;

  dlgSelectDictionaries_btnDone_actionAdapter(dlgSelectDictionaries adaptee) {
    this.adaptee = adaptee;
  }
  public void actionPerformed(ActionEvent e) {
    adaptee.btnDone_actionPerformed(e);
  }
}
