package edu.gwu.jword;


import java.awt.Component;
import javax.swing.JPopupMenu;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.JMenuItem;

public class popUpLast5 implements ActionListener{
  JPopupMenu pm;

  Component comp;
  JWord panel;
  String[] words = new String[5];
  int num;


  public popUpLast5(Component comp, JWord panel)
  {
    this.panel = panel;
    num = 0;
    for (int i = 0; i < 5; i ++)
    {
      words[i] = "";
    }
    this.comp = comp;
  }

  public void pop()
  {
    System.out.println("Called POP");

    JMenuItem jmi;
    pm = new JPopupMenu("Menu");

    for (int i = num-1; i >=0 ; i--)
    {
      if (!words[i].equals(""))
      {
        jmi = new JMenuItem(words[i]);
        jmi.addActionListener(this);
        pm.add(jmi);
      }
    }

    pm.show(comp, 0, 0);
    System.out.println("Called SHOW");
  }
  public void addWord(String w)
  {
    //if string is in the list, move it to the top
    int foundIndex = -1;
    for (int i = 0; i < num; i++)
    {
      if (w.equals(words[i]))
      {
        foundIndex = i;
        break;
      }
    }
    if (foundIndex > -1)
    {
      words[foundIndex] = "";
    }

    if (num == 5)
    {
      for (int i = 0; i < 4; i++)
      {
        words[i] = words[i+1];
      }
      words[4] = w;
    }
    else
      words[num++] = w;
  }

  /**
   * actionPerformed
   *
   * @param e ActionEvent
   */
  public void actionPerformed(ActionEvent e) {
    System.out.println(e.toString());
    panel.txtWord.setText(((JMenuItem)e.getSource()).getText());
    panel.btnSearchActionPerformed(e);
  }
}
